org.apache.xerces.impl.dv.dtd

## Class ENTITYDatatypeValidator

- java.lang.Object
- - org.apache.xerces.impl.dv.dtd.ENTITYDatatypeValidator

- All Implemented Interfaces:
    DatatypeValidator

      public class ENTITYDatatypeValidator
      extends java.lang.Object
      implements DatatypeValidator

  ENTITYDatatypeValidator implements the DatattypeValidator interface. This validator embodies the ENTITY attribute type from XML1.0 recommendation. The Value space of ENTITY is the set of all strings that match the NCName production and have been declared as an unparsed entity in a document type definition. The Lexical space of Entity is the set of all strings that match the NCName production. The value space of ENTITY is scoped to a specific instance document.

  Version:
    $Id: ENTITYDatatypeValidator.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Jeffrey Rodriguez, IBM, Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ENTITYDatatypeValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid ID value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ENTITYDatatypeValidator

          public ENTITYDatatypeValidator()

  - ### Method Detail

    - #### validate

          public void validate(java.lang.String content,
                               ValidationContext context)
                        throws InvalidDatatypeValueException

      Checks that "content" string is valid ID value. If invalid a Datatype validation exception is thrown.
      Specified by:
        `validate` in interface `DatatypeValidator`
      Parameters:
        `content` - the string value that needs to be validated
        `context` - the validation context
      Throws:
        `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
        `InvalidDatatypeValueException`
      See Also:
        `InvalidDatatypeValueException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.